dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");


location={}
location["grimerka"] = true
location["grimerka"] = {}
location["grimerka"]["id"] = 12
location["grimerka"]["sub_id"] = 0


function LoadingLevel(param)
    SetAlfaValue(501,0)
	SetAlfaValue(503,0)
	SLevel=param;
return;end;

function LevelComplete()
	flags.levelcomplete=true;
	DarkScreen(true);
	ShowMenu(false);
end;

function StartLevel()
	if not flags.minicomplete then
		AddParticleToObject(89,"Mirror",0,0);
		StartEmiter("Mirror");
		MoveEmiter("Mirror",195,405);	
	end;
end;



flags={};
flags["whole_darkness"]=false;
flags["all"]=false;
flags["minicomplete"]=false;
flags["levelcomplete"]=false;
flags["HintCount"]=5;
flags["comics"]=false
add_tree_leaf("Root","grimerka",12,0);-- Добавляет лист в дерево 
SetCurrentRM("menu");
        addstaticobjecttogame(877777777,"menubuttons",63,622,"",60,0,61,61);
		AddSheet(1002,"re","red_b",63,622,61,61,"",128,640,650,115,15,5,7,7,0,59,877777777);
SetCurrentRM("main");
	loadresource("data\\photoaparat.png","photoaparat",112121212);
	AddImgToBook("photoaparat",838,580);
	AddHints()
ShowMenu(false);


dofile("./data/12/0/res.lua");


setcurentleaf("grimerka",12,0);
SwitchToSheet("re");
DarkScreen(true);
speciale_action(2,503,true);
speciale_action(4,503)

playfile(".\\sound\\Music_2.ogg",true,true);